org.eclipse.emf.cdo.server

## Class StoreThreadLocal.NoSessionRegisteredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.emf.cdo.server.StoreThreadLocal.NoSessionRegisteredException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    StoreThreadLocal

      public static final class StoreThreadLocal.NoSessionRegisteredException
      extends java.lang.IllegalStateException

  An `IllegalStateException` that can be thrown from `StoreThreadLocal.getSession()`.
  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSessionRegisteredException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSessionRegisteredException

          public NoSessionRegisteredException()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html